## ev-document-misc

ev-document-misc

## Functions

void | ev_document_misc_get_pointer_position ()
gdouble | ev_document_misc_get_screen_dpi ()
cairo_surface_t * | ev_document_misc_surface_from_pixbuf ()
GdkPixbuf * | ev_document_misc_pixbuf_from_surface ()
cairo_surface_t * | ev_document_misc_surface_rotate_and_scale ()
void | ev_document_misc_invert_surface ()
void | ev_document_misc_invert_pixbuf ()
gchar * | ev_document_misc_format_date ()
GdkPixbuf * | ev_document_misc_render_loading_thumbnail ()
GdkPixbuf * | ev_document_misc_render_thumbnail_with_frame ()
cairo_surface_t * | ev_document_misc_render_loading_thumbnail_surface ()
cairo_surface_t * | ev_document_misc_render_thumbnail_surface_with_frame ()
GdkPixbuf * | ev_document_misc_get_loading_thumbnail ()
void | ev_document_misc_get_page_border_size ()
void | ev_document_misc_paint_one_page ()
GdkPixbuf * | ev_document_misc_get_thumbnail_frame ()

## Description

## Functions

### ev_document_misc_get_pointer_position ()

    void
    ev_document_misc_get_pointer_position (GtkWidget *widget,
                                           gint *x,
                                           gint *y);

### ev_document_misc_get_screen_dpi ()

    gdouble
    ev_document_misc_get_screen_dpi (GdkScreen *screen);

### ev_document_misc_surface_from_pixbuf ()

    cairo_surface_t *
    ev_document_misc_surface_from_pixbuf (GdkPixbuf *pixbuf);

#### Returns

### ev_document_misc_pixbuf_from_surface ()

    GdkPixbuf *
    ev_document_misc_pixbuf_from_surface (cairo_surface_t *surface);

#### Parameters

surface | a cairo_surface_t |

#### Returns

a GdkPixbuf.

[transfer full]

### ev_document_misc_surface_rotate_and_scale ()

    cairo_surface_t *
    ev_document_misc_surface_rotate_and_scale
                                   (cairo_surface_t *surface,
                                    gint dest_width,
                                    gint dest_height,
                                    gint dest_rotation);

#### Returns

### ev_document_misc_invert_surface ()

    void
    ev_document_misc_invert_surface (cairo_surface_t *surface);

### ev_document_misc_invert_pixbuf ()

    void
    ev_document_misc_invert_pixbuf (GdkPixbuf *pixbuf);

### ev_document_misc_format_date ()

    gchar *
    ev_document_misc_format_date (GTime utime);

### ev_document_misc_render_loading_thumbnail ()

    GdkPixbuf *
    ev_document_misc_render_loading_thumbnail
                                   (GtkWidget *widget,
                                    int width,
                                    int height,
                                    gboolean inverted_colors);

Since 3.8

### ev_document_misc_render_thumbnail_with_frame ()

    GdkPixbuf *
    ev_document_misc_render_thumbnail_with_frame
                                   (GtkWidget *widget,
                                    GdkPixbuf *source_pixbuf);

Since 3.8

### ev_document_misc_render_loading_thumbnail_surface ()

    cairo_surface_t *
    ev_document_misc_render_loading_thumbnail_surface
                                   (GtkWidget *widget,
                                    int width,
                                    int height,
                                    gboolean inverted_colors);

Since 3.14

### ev_document_misc_render_thumbnail_surface_with_frame ()

    cairo_surface_t *
    ev_document_misc_render_thumbnail_surface_with_frame
                                   (GtkWidget *widget,
                                    cairo_surface_t *source_surface,
                                    int width,
                                    int height);

Since 3.14

### ev_document_misc_get_loading_thumbnail ()

    GdkPixbuf *
    ev_document_misc_get_loading_thumbnail
                                   (int width,
                                    int height,
                                    gboolean inverted_colors);

`ev_document_misc_get_loading_thumbnail` is deprecated and should not be used in newly-written code.

### ev_document_misc_get_page_border_size ()

    void
    ev_document_misc_get_page_border_size (gint page_width,
                                           gint page_height,
                                           GtkBorder *border);

`ev_document_misc_get_page_border_size` is deprecated and should not be used in newly-written code.

### ev_document_misc_paint_one_page ()

    void
    ev_document_misc_paint_one_page (cairo_t *cr,
                                     GtkWidget *widget,
                                     GdkRectangle *area,
                                     GtkBorder *border,
                                     gboolean highlight,
                                     gboolean inverted_colors);

`ev_document_misc_paint_one_page` is deprecated and should not be used in newly-written code.

### ev_document_misc_get_thumbnail_frame ()

    GdkPixbuf *
    ev_document_misc_get_thumbnail_frame (int width,
                                          int height,
                                          GdkPixbuf *source_pixbuf);

`ev_document_misc_get_thumbnail_frame` is deprecated and should not be used in newly-written code.

#### Parameters

width | the desired width |
height | the desired height |
source_pixbuf | a GdkPixbuf |

#### Returns

a GdkPixbuf.

[transfer full]

## Types and Values